getEmbeddingsBySource
curl --request POST \
--url https://connvo-dev.convex.cloud/api/run/embeddings/index/getEmbeddingsBySource \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"args": {
"paginationOpts": {
"cursor": "<string>",
"numItems": 123,
"endCursor": "<string>",
"id": 123,
"maximumBytesRead": 123,
"maximumRowsRead": 123
},
"sourceId": "<string>",
"sourceType": "user"
}
}
'import requests
url = "https://connvo-dev.convex.cloud/api/run/embeddings/index/getEmbeddingsBySource"
payload = { "args": {
"paginationOpts": {
"cursor": "<string>",
"numItems": 123,
"endCursor": "<string>",
"id": 123,
"maximumBytesRead": 123,
"maximumRowsRead": 123
},
"sourceId": "<string>",
"sourceType": "user"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
args: {
paginationOpts: {
cursor: '<string>',
numItems: 123,
endCursor: '<string>',
id: 123,
maximumBytesRead: 123,
maximumRowsRead: 123
},
sourceId: '<string>',
sourceType: 'user'
}
})
};
fetch('https://connvo-dev.convex.cloud/api/run/embeddings/index/getEmbeddingsBySource', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorMessage": "<string>",
"errorData": {},
"value": {
"continueCursor": "<string>",
"isDone": true,
"page": [
{
"_creationTime": 123,
"_id": "<string>",
"createdAt": 123,
"dimensions": 123,
"metadata": {},
"model": "<string>",
"sourceId": "<string>",
"sourceType": "user",
"vector": "<string>",
"version": "<string>"
}
]
}
}{}{}System
getEmbeddingsBySource
Calls a query at the path embeddings/index.js:getEmbeddingsBySource
POST
/
api
/
run
/
embeddings
/
index
/
getEmbeddingsBySource
getEmbeddingsBySource
Authorizations
Standard user authentication token issued via WorkOS. Provide as Authorization: Bearer <user-token>.
Body
application/json
Show child attributes
Show child attributes
⌘I